unit uDirSyncConsts;
{$INCLUDE 'DirSync3.inc'}

interface

const
  PLUGIN_GUID: TGUID = '{9dabc9de-4e2a-4b28-9acd-98bfda84d3dd}';

  MENU_PANEL_GUID: TGUID = '{825d95db-3687-4ab1-97ef-5ed84490b3ec}';
  MENU_CONFIG_GUID: TGUID = '{13024c45-474c-4c27-9911-8f2f6b59e7f0}';
  MENU_EDITOR_GUID: TGUID = '{358c7fc6-affc-4e00-b1e9-3688ef76fa33}';
  MENU_EDITOR_OVERWRITELEFT_GUID: TGUID = '{78640315-db1d-44b0-bd78-e280e71daaf6}';
  MENU_EDITOR_OVERWRITERIGHT_GUID: TGUID = '{be5359e3-d9ec-4f12-a83f-efa5bfb2e19b}';
  MENU_EDITOR_COMPARE_GUID: TGUID = '{edffe19d-8bc3-4149-9ed8-935ea4ec9fd7}';
  MENU_EDITOR_EDITLEFT_GUID: TGUID = '{80596794-1b7e-4427-82e8-2b5d38fb13a3}';
  MENU_EDITOR_EDITRIGHT_GUID: TGUID = '{6a787f77-4d0e-4ff4-bc43-33e931bc9439}';

  DIALOG_MAIN_GUID: TGUID = '{b5f60df4-4d62-4961-a173-5429401192a2}';
  DIALOG_SYNC_GUID: TGUID = '{d1dfc1f2-5d65-46f2-8cbb-0a7dc31baed2}';
  DIALOG_CONFIG_GUID: TGUID = '{1c327a46-f9d6-437f-98dc-9d297a6ad71d}';
  DIALOG_READING_GUID: TGUID = '{c6b7952c-2f72-446c-b1a0-1f1baa70ca2e}';
  DIALOG_SYNCING_GUID: TGUID = '{f5f07c41-8cfc-4abc-bda0-a63d703a6dbc}';
  DIALOG_OVERWRITE_GUID: TGUID = '{41f81ec9-8166-4eeb-8b89-c71023800328}';
  DIALOG_DELETE_GUID: TGUID = '{a030a228-3f74-4a81-bba4-2853fc2519d4}';
  DIALOG_DIFFERENTFILES_GUID: TGUID = '{e97d6866-91b4-4d85-9a9c-a1d464388201}';
  DIALOG_RETRYSKIPCANCEL_GUID: TGUID = '{5bffbfe9-b47a-4976-9bf3-235b153497ee}';

type
  TDifferenceType = (dtEqual, dtMissingLeft, dtMissingRight, dtOlderLeft, dtOlderRight, dtFailedLeft, dtFailedRight, dtFailedBoth, dtDifferent);
  TDifferenceTypes = set of TDifferenceType;
const
  DifferenceTypes: array[TDifferenceType] of string = ('    ', '<<==', '==>>', '<---', '--->', '<!--', '--!>', '<!!>', '<-->');

type
  TUsedMatch = (umUnknown, umFileName, umFileNameCase, umWriteTime, umSize, umContent);
const
  UsedMatches: array[TUsedMatch] of string = ('', 'F', 'F', 'T', 'S', 'C');

implementation

end.
